Runtime

## org.eclipse.gmf.runtime.notation
Class TextAlignment

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.TextAlignment

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class TextAlignment

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Text Alignment', and utility methods for working with them.

See Also:
  `NotationPackage.getTextAlignment()`, Serialized Form
** Generated **
Model:

Field Summary
`static int` `CENTER` The 'Center' literal value
`static TextAlignment` `CENTER_LITERAL` The 'Center' literal object
`static int` `LEFT` The 'Left' literal value
`static TextAlignment` `LEFT_LITERAL` The 'Left' literal object
`static int` `RIGHT` The 'Right' literal value
`static TextAlignment` `RIGHT_LITERAL` The 'Right' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Text Alignment' enumerators

Method Summary
`static TextAlignment` `get(int value)` Returns the 'Text Alignment' literal with the specified integer value
`static TextAlignment` `get(java.lang.String literal)` Returns the 'Text Alignment' literal with the specified literal value
`static TextAlignment` `getByName(java.lang.String name)` Returns the 'Text Alignment' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

  The 'Left' literal value.

  If the meaning of 'Left' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LEFT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Left"

### RIGHT

    public static final int RIGHT

  The 'Right' literal value.

  If the meaning of 'Right' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RIGHT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Right"

### CENTER

    public static final int CENTER

  The 'Center' literal value.

  If the meaning of 'Center' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CENTER_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Center"

### LEFT_LITERAL

    public static final TextAlignment LEFT_LITERAL

  The 'Left' literal object.

  See Also:
    `LEFT`
  ** Generated **
  Ordered:

### RIGHT_LITERAL

    public static final TextAlignment RIGHT_LITERAL

  The 'Right' literal object.

  See Also:
    `RIGHT`
  ** Generated **
  Ordered:

### CENTER_LITERAL

    public static final TextAlignment CENTER_LITERAL

  The 'Center' literal object.

  See Also:
    `CENTER`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Text Alignment' enumerators.

  ** Generated **

Method Detail

### get

    public static TextAlignment get(java.lang.String literal)

  Returns the 'Text Alignment' literal with the specified literal value.

  ** Generated **

### getByName

    public static TextAlignment getByName(java.lang.String name)

  Returns the 'Text Alignment' literal with the specified name.

  ** Generated **

### get

    public static TextAlignment get(int value)

  Returns the 'Text Alignment' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.